#pragma once
#include <list>

#include "Graphics/Window.h"
#include "EventSystem/EventEmitter.h"
#include "../Include/Input/GLFWInput.h"
#include "BarinkEngine.h"

namespace BarinkEngine {

	class InputManager : public EventEmitter {
	public:
		InputManager();

		void PollEvents();
		
		void attach(BarinkWindow* window);
		void detach(BarinkWindow* window);


		void setupGLFWInput(GLFWwindow* window);


	
	private:
		std::list<BarinkWindow*> windows;

	};
}
